Name: powermanga
Version: 0.90
Release: alt1
Summary: Shoot them up with 3d graphics

License: GPL
Group: Games/Arcade

Packager: Stanislav Ievlev <inger@altlinux.org>

URL: http://linux.tlk.fr/games/Powermanga/
Source: %name-%version.tar

Source100: %name.desktop

Source200: %name.16.png
Source201: %name.32.png
Source202: %name.48.png

# Automatically added by buildreq on Wed Sep 05 2007
BuildRequires: imake libSDL-devel libSDL_mixer-devel libXxf86dga-devel openldap xorg-cf-files

%description
In this shoot them up with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q

%build
%configure --mandir=%_man6dir
%make scoredir=%_localstatedir/games

%install
make DESTDIR=%buildroot gamesdir=%_bindir scoredir=%_localstatedir/games install

%__install -Dpm 644 %SOURCE100 %buildroot/%_desktopdir/%name.desktop

%__install -Dpm 644 %SOURCE200 %buildroot/%_miconsdir/%name.png
%__install -Dpm 644 %SOURCE201 %buildroot/%_niconsdir/%name.png
%__install -Dpm 644 %SOURCE202 %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%attr(0660, games, games) %_localstatedir/games/*
%attr(2711, root, games) %_bindir/%name
%_datadir/games/%name
%_man6dir/*
%_desktopdir/*
%_miconsdir/*.png
%_niconsdir/*.png
%_liconsdir/*.png

%changelog
* Wed Sep 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.90-alt1
- 0.90

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.78-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Oct 27 2003 Stanislav Ievlev <inger@altlinux.ru> 0.78-alt1
- 0.78

* Tue Apr 29 2003 Stanislav Ievlev <inger@altlinux.ru> 0.76-alt1
- 0.76

* Thu Oct 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.74-alt1
- 0.74

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.73-alt1.1
- rebuild with new XFree86
- added buildreq

* Wed Sep 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.73-alt1
- 0.73
- Updated patches
- Updated CFLAGS
- fixed permissions to score files

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71c-alt2.1
- fixed suid/sgid permissions

* Sat Jun 9 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt2
- Fixed permission for /var/lib/games/powermanga.hi

* Fri Jun 8 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt1
- New version 0.71c
- Added some Mandrake Cooker patches

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
